
PYROS - Evolution #4056
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL

******* (M) 09.1.35 - CONDUCTOR - Majordome, Supervisor
08/30/2016 05:49 pm - Etienne Pallier

Status: Nouveau Start date: 05/19/2016
Priority: Normal Due date:
Assignee: % Done: 4%
Category: Estimated time: 124.00 hours
Target version: Spent time: 0.00 hour
Description

General software conductor, supervisor
Takes also sequences one by one from Schedule, and pass its plans (one by one) to Observation Manager for execution

Subtasks:
Evolution # 4215: * (F) Order a scheduling operation Nouveau
  Evolution # 4423: Démarrage: Ce n’est pas Monitoring mais Majordome qui doit lancer le ... Nouveau
  Evolution # 4486: (FT) Tests Nouveau
Evolution # 4216: * (F) Check environment status (weather, and site) Nouveau
Evolution # 4218: * (F) Check devices status Nouveau
Evolution # 4219: * (F) Take decision according to environment change (weather, obs con... Nouveau
Evolution # 4220: * (F) Start/Resume System (software) Nouveau
Evolution # 4221: * (F) Stop/Pause System (software) Nouveau
  Evolution # 4381: system_pause : abort instruments Nouveau
  Evolution # 4382: system_pause : stop executing tasks Nouveau
  Evolution # 4383: system_start : start a scheduling Nouveau
  Evolution # 4424: Fin de nuit: Majordome fait un system.pause(), ensuite une task de ca... Nouveau
  Evolution # 4487: (FT) Tests Nouveau
Evolution # 4222: * (F) Order a planned sequence execution Nouveau
  Evolution # 3661: Majordome exec sequence Fermé
  Evolution # 4377: execute_sequence : Add the PLC checks at start (to see if we do the s... Nouveau
  Evolution # 4378: execute_sequence : Use the global telescope (instead of creating one ... Nouveau
  Evolution # 4379: execute_sequence : Give first_schedule as false when a scheduling is ... Nouveau
  Evolution # 4380: execute_sequence : Remove the default countdown (1, for tests) Nouveau
  Evolution # 4488: (FT) Tests Nouveau
Evolution # 4223: * (F) ABORT sequence execution Nouveau
Evolution # 4224: * (F) Get sequence execution status (wait for end) Nouveau
Evolution # 4225: * (F) Send Information and status to GIC (devices status, software ve... Nouveau
Evolution # 4226: * (F) Check observation conditions Nouveau
  Evolution # 4384: change_obs_conditions : Change sequences status (if needed) Nouveau
  Evolution # 4385: change_obs_conditions : If some status changed, re-launch a scheduling Nouveau
  Evolution # 4489: (FT) Tests Nouveau
Evolution # 4232: * (F) Conductor VIEW : Display current system (software) global status Nouveau
  Evolution # 4417: When a socket connection fails (exception thrown), set the device to ... Nouveau
Evolution # 4295: MODULE Tests Suite Nouveau
Evolution # 4375: TASK MANAGER : When a sequence is cancelled, give back the quota to t... Nouveau
Evolution # 4376: TASK MANAGER : In case of alert, do not stop the ongoing plan, and ma... Nouveau

History
#1 - 08/30/2016 06:00 pm - Etienne Pallier
- Tracker changed from Anomalie to Evolution

05/11/2024 1/2



#2 - 09/12/2016 04:43 pm - Etienne Pallier
- Subject changed from (MODULE) GENERAL tasks to ******* (M) GENERAL tasks

#3 - 09/12/2016 04:46 pm - Etienne Pallier
- Subject changed from ******* (M) GENERAL tasks to ********** (M) GENERAL tasks

#4 - 09/12/2016 04:58 pm - Etienne Pallier
- Subject changed from ********** (M) GENERAL tasks to ******************** (M) GENERAL tasks

#5 - 09/12/2016 05:04 pm - Etienne Pallier
- Parent task set to #4093

#6 - 09/13/2016 11:36 am - Etienne Pallier
- Subject changed from ******************** (M) GENERAL tasks to ******* (M) 9.1.60 - IMAG (SDMN) - Analyser (Science Data Management) *******

#7 - 09/13/2016 11:36 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.60 - IMAG (SDMN) - Analyser (Science Data Management) ******* to ******* (M) 9.1.70 - IMAG (SDMN) - 
Analyser (Science Data Management) *******

#8 - 09/13/2016 11:55 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.70 - IMAG (SDMN) - Analyser (Science Data Management) ******* to ******* (M) 9.1.70 - ANALYSER (IMAG, 
SDMN) - Science Data Management *******

#9 - 09/13/2016 03:07 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.70 - ANALYSER (IMAG, SDMN) - Science Data Management ******* to ******* (M) 9.1.50 - CONDUCTOR - 
Majordome, Superviser *******

#10 - 09/13/2016 03:16 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.50 - CONDUCTOR - Majordome, Superviser ******* to ******* (M) 09.1.50 - CONDUCTOR - Majordome, 
Superviser *******

#11 - 09/13/2016 03:49 pm - Etienne Pallier
- Target version set to 139

#12 - 09/13/2016 06:04 pm - Etienne Pallier
- Description updated

#13 - 09/14/2016 11:23 am - Etienne Pallier
- Subject changed from ******* (M) 09.1.50 - CONDUCTOR - Majordome, Superviser ******* to ******* (M) 09.1.35 - CONDUCTOR - Majordome, 
Superviser *******

#14 - 09/14/2016 10:41 pm - Etienne Pallier
- Subject changed from ******* (M) 09.1.35 - CONDUCTOR - Majordome, Superviser ******* to ******* (M) 09.1.35 - CONDUCTOR - Majordome, 
Superviser

#15 - 09/15/2016 10:28 am - Etienne Pallier
- Subject changed from ******* (M) 09.1.35 - CONDUCTOR - Majordome, Superviser to ******* (M) 09.1.35 - CONDUCTOR - Majordome, Supervisor
- Description updated

#16 - 09/23/2016 04:00 pm - Etienne Pallier
- Target version deleted (139)
